package Glib::Ensure;

use 5.012000;
use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use Glib::Ensure ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	&type_ensure
	&g_type_ensure
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '0.02';

require XSLoader;
XSLoader::load('Glib::Ensure', $VERSION);

# Preloaded methods go here.
sub type {
   my ($type) = @_;
   $type = 0 unless defined $type;
   #print "g_type_ensure $type\n";
   g_type_ensure($type);
}

sub type_ensure {
    return type(@_);
}

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Glib::Ensure - Perl extension for ensuring gobjets type are registered

=head1 SYNOPSIS

  use Glib::Ensure;
  Glib::Ensure::type(G_TYPE_SOCKET_ADDRESS);

=head1 DESCRIPTION

Expose g_type_ensure() to perl, with many G_TYPE_* constants

=head2 EXPORT

None by default.

=head1 AUTHOR

Bastien Durel, E<lt>bastien.durel@data.frE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2013 by Data

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.14.2 or,
at your option, any later version of Perl 5 you may have available.


=cut
